using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

using XHWK.Model;

namespace XHWK.WKTool.Models
{
    public class FileDirectoryModel : NotifyModel
    {
        private int _serialNumber;

        /// <summary>
        /// 序号
        /// </summary>
        public int SerialNumber
        {
            get => _serialNumber;
            set
            {
                _serialNumber = value;
                OnPropertyChanged("SerialNumber");
            }
        }

        private string _videoName;

        /// <summary>
        /// 视频名称
        /// </summary>
        public string VideoName
        {
            get => _videoName;
            set
            {
                _videoName = value;
                OnPropertyChanged("VideoName");
            }
        }

        private int _videoDuration;

        /// <summary>
        /// 视频时长
        /// </summary>
        public int VideoDuration
        {
            get => _videoDuration;
            set
            {
                _videoDuration = value;
                OnPropertyChanged("VideoDuration");
            }
        }

        private string _videoSize;

        /// <summary>
        /// 视频大小
        /// </summary>
        public string VideoSize
        {
            get => _videoSize;
            set
            {
                _videoSize = value;
                OnPropertyChanged("VideoSize");
            }
        }

        private long _videoSizes;

        /// <summary>
        /// 视频大小
        /// </summary>
        public long VideoSizes
        {
            get => _videoSizes;
            set
            {
                _videoSizes = value;
                OnPropertyChanged("VideoSizes");
            }
        }

        private string _videoTime;

        /// <summary>
        /// 日期
        /// </summary>
        public string VideoTime
        {
            get => _videoTime;
            set
            {
                _videoTime = value;
                OnPropertyChanged("VideoTime");
            }
        }

        private string _colour;

        /// <summary>
        /// 颜色
        /// </summary>
        public string Colour
        {
            get => _colour;
            set
            {
                _colour = value;
                OnPropertyChanged("Colour");
            }
        }

        private bool _isEnabled;

        /// <summary>
        /// 是否可编辑
        /// </summary>
        public bool IsEnabled
        {
            get => _isEnabled;
            set
            {
                _isEnabled = value;
                OnPropertyChanged("IsEnabled");
            }
        }

        public string Path { get; set; }
        private string _visi;

        /// <summary>
        /// 显示
        /// </summary>
        public string Visi
        {
            get => _visi;
            set
            {
                _visi = value;
                OnPropertyChanged("Visi");
            }
        }

        private string _coll;

        /// <summary>
        /// 显示
        /// </summary>
        public string Coll
        {
            get => _coll;
            set
            {
                _coll = value;
                OnPropertyChanged("Coll");
            }
        }

        /// <summary>
        /// 唯一编号
        /// </summary>
        public string FileGuid { get; set; }

        /// <summary>
        /// 视频类型
        /// </summary>
        public string VideoType { get; set; }

        /// <summary>
        /// 初始名称
        /// </summary>
        public string Name { get; set; }

        /// <summary>
        /// 文件路径
        /// </summary>
        public string FilePath { get; set; }
    }
}